Update specified Mobile Device Extension Attribute object.Ask AIput https://yourServer.jamfcloud.com/api/v1/mobile-device-extension-attributes/{id}Update specified Mobile Device Extension Attribute object.Path ParamsidstringrequiredUnique ID of Mobile Device Extension Attribute.Body ParamsMobile Device Extension Attribute object to be updated. IDs defined in this body will be ignored.namestringrequiredDisplay name for the extension attribute.descriptionstringDescription for the extension attribute.dataTypestringenumrequiredDefaults to STRINGType of data being collected.INTEGERSTRINGDATEAllowed:INTEGERSTRINGDATEinventoryDisplayTypestringenumrequiredDefaults to GENERALCategory in which to display the extension attribute in Jamf Pro.GENERALHARDWAREUSER_AND_LOCATIONPURCHASINGEXTENSION_ATTRIBUTESAllowed:GENERALHARDWAREUSER_AND_LOCATIONPURCHASINGEXTENSION_ATTRIBUTESinputTypestringenumrequiredDefaults to TEXTExtension attributes collect inventory data by using an input type.The type of the Input used to populate the extension attribute.TEXTPOPUPDIRECTORY_SERVICE_ATTRIBUTE_MAPPINGAllowed:TEXTPOPUPDIRECTORY_SERVICE_ATTRIBUTE_MAPPINGpopupMenuChoicesarray of stringslength ≥ 0When added with list of choices while creating mobile device extension attributes these Pop-up menu can be displayed in inventory information. User can choose a value from the pop-up menu list when enrolling a mobile device any time using Jamf Pro. Provide popupMenuChoices only when inputType is 'POPUP'.popupMenuChoicesADD stringldapAttributeMappingstringDirectory Service attribute use to populate the extension attribute. Required when inputType is "DIRECTORY_SERVICE_ATTRIBUTE_MAPPING"ldapExtensionAttributeAllowedbooleanDefaults to falseCollect multiple values for this extension attribute. ldapExtensionAttributeAllowed is disabled by default, only for inputType 'DIRECTORY_SERVICE_ATTRIBUTE_MAPPING' it can be enabled. It's value cannot be modified during edit operation. Possible values are: false true truefalseResponses 202Mobile Device Extension Attribute updated successfully. 400Bad Request. Specified Mobile Device Extension Attribute could not be updated due to bad request. Possible reasons are: 1) The specified extension attribute id does not include a valid number. 2) Duplicate name is provided. 3) Required fields are not provided in request body. 4) Fields which are not associated with provided inputType has some value. 5) Any values outside of the allowed range are included in the request body. 6) LDAP is not configured. 7) Error occurred during database update operation. 404Specified Mobile Device Extension Attribute object does not exist. The server either did not find a current representation for the requested resource or is trying to hide its existence from an unauthorized client.Updated 2 months ago